.rating-table{
    width: 100%;
    line-height: 1.4;
    //table-layout: fixed;

    td:first-child,
    th:first-child{
        padding-left: map-get($container-paddings, "lg");
    }
    td:last-child,
    th:last-child{
        padding-right: map-get($container-paddings, "lg");
    }

    @include media-breakpoint-down(sm){
        font-size: 13px;
        table-layout: auto;
        margin-top: -20px;

        td:first-child,
        th:first-child{
            padding-left: map-get($container-paddings, "sm");
        }
        td:last-child,
        th:last-child{
            padding-right: map-get($container-paddings, "sm");
        }
    }

    @include media-breakpoint-down(xs){
        font-size: 12px;

        td:first-child,
        th:first-child{
            padding-left: map-get($container-paddings, "xs");
        }
        td:last-child,
        th:last-child{
            padding-right: map-get($container-paddings, "xs");
        }
    }

    &__wrapper{        
        margin-left: - map-get($container-paddings, "lg");
        margin-right: - map-get($container-paddings, "lg");

        @include media-breakpoint-down(sm){
            margin-left: - map-get($container-paddings, "sm");
            margin-right: - map-get($container-paddings, "sm");
        }

        @include media-breakpoint-down(xs){
            margin-left: - map-get($container-paddings, "xs");
            margin-right: - map-get($container-paddings, "xs");
        }
    }

    td, th{
        border: 0;
        padding: 20px 15px;
        position: relative;
        
        @include media-breakpoint-down(sm){
            padding: 12px 8px;
        }
    }

    thead{
        td{
            padding-top: 12px;
            color: #999;
        }
    }

    @include media-breakpoint-up(lg){
        tbody td{
            &:first-child{
                &:before{
                    content:"";
                    position: absolute;
                    left: -10000px;
                    top: 0;
                    bottom: 0;
                    width: 10000px;
                }
            }

            &:last-child{
                &:before{
                    content:"";
                    position: absolute;
                    right: -10000px;
                    top: 0;
                    bottom: 0;
                    width: 10000px;
                }
            }
        }
    }

    tbody tr{
        &:nth-child(odd){
            td{
                background-color: #F9FCFF;

                &:first-child:before,
                &:last-child:before{
                    background-color: #F9FCFF;
                }
            }
        }
    }

    &__header{
        position: relative;
        padding-right: 20px;
        display: inline-block;

        @include media-breakpoint-down(sm){
            padding-right: 16px;
        }
    }

    &__user-pic{
        width: 36px;
        height: 36px;
        border-radius: 50%;

        @include media-breakpoint-down(sm){
            width: 25px;
            height: 25px;
        }
    }

    &__sort-icon{        
        position: absolute;
        right: 0;
        top: 50%;
        width: 10px;
        height: 5px;
        margin-top: -3px;
    }

    .text-danger{
        .rating-table__sort-icon{
            stroke: $danger;
        }
    }

    .tablesorter-headerAsc{
        .rating-table__sort-icon{
            transform: rotate(180deg);
            transform-orgin: center;
        }
    }
}

.tablesorter-header:not(.sorter-false){
    cursor: pointer;
    outline: none;
    stroke: #999;
    white-space: nowrap;
}